*** ../mythtv-0.20.2.orig/libs/libmythtv/tv_play.cpp	2006-09-30 10:17:20.000000000 -0700
--- ../mythtv-0.20.2/libs/libmythtv/tv_play.cpp	2008-01-05 18:10:23.273958904 -0800
***************
*** 98,104 ****
      REG_KEY("TV Playback", "CHANNELDOWN", "Channel down", "Down");
      REG_KEY("TV Playback", "NEXTFAV", "Switch to the next favorite channel",
              "/");
-     REG_KEY("TV Playback", "PREVCHAN", "Switch to the previous channel", "H");
      REG_KEY("TV Playback", "JUMPFFWD", "Jump ahead", "PgDown");
      REG_KEY("TV Playback", "JUMPRWND", "Jump back", "PgUp");
      REG_KEY("TV Playback", "JUMPBKMRK", "Jump to bookmark", "K");
--- 98,103 ----
***************
*** 181,187 ****
      REG_KEY("TV Playback", "FINDER", "Show the Program Finder", "#");
      REG_KEY("TV Playback", "TOGGLESLEEP", "Toggle the Sleep Timer", "F8");
      REG_KEY("TV Playback", "PLAY", "Play", "Ctrl+P");
!     REG_KEY("TV Playback", "JUMPPREV", "Jump to previously played recording", "");
      REG_KEY("TV Playback", "JUMPREC", "Display menu of recorded programs to jump to", "");
      REG_KEY("TV Playback", "SIGNALMON", "Monitor Signal Quality", "F7");
      REG_KEY("TV Playback", "JUMPTODVDROOTMENU", "Jump to the DVD Root Menu", "");
--- 180,186 ----
      REG_KEY("TV Playback", "FINDER", "Show the Program Finder", "#");
      REG_KEY("TV Playback", "TOGGLESLEEP", "Toggle the Sleep Timer", "F8");
      REG_KEY("TV Playback", "PLAY", "Play", "Ctrl+P");
!     REG_KEY("TV Playback", "JUMPPREV", "Jump to previous recording or channel", "");
      REG_KEY("TV Playback", "JUMPREC", "Display menu of recorded programs to jump to", "");
      REG_KEY("TV Playback", "SIGNALMON", "Monitor Signal Quality", "F7");
      REG_KEY("TV Playback", "JUMPTODVDROOTMENU", "Jump to the DVD Root Menu", "");
***************
*** 2432,2441 ****
--- 2431,2447 ----
          }
          else if (action == "JUMPPREV")
          {
+ 	  if (StateIsLiveTV(GetState()))
+ 	    {
+ 	      PreviousChannel();
+ 	    }
+ 	  else if (lastProgram != NULL)
+ 	    {
              nvp->SetBookmark();
              exitPlayer = true;
              wantsToQuit = true;
              jumpToProgram = true;
+ 	    }
          }
          else if (action == "JUMPREC")
              DisplayJumpMenuSoon();
***************
*** 2693,2699 ****
                  SwapPIPSoon();
              else if (action == "TOGGLEBROWSE")
                  BrowseStart();
!             else if (action == "PREVCHAN")
                  PreviousChannel();
              else if (action == "CHANNELUP")
              {
--- 2699,2705 ----
                  SwapPIPSoon();
              else if (action == "TOGGLEBROWSE")
                  BrowseStart();
!             else if (action == "JUMPPREV")
                  PreviousChannel();
              else if (action == "CHANNELUP")
              {
***************
*** 6064,6070 ****
              SwapPIPSoon();
          else if (action == "TOGGLEBROWSE")
              BrowseStart();
!         else if (action == "PREVCHAN")
              PreviousChannel();
          else
          {
--- 6070,6076 ----
              SwapPIPSoon();
          else if (action == "TOGGLEBROWSE")
              BrowseStart();
!         else if (action == "JUMPPREV")
              PreviousChannel();
          else
          {
***************
*** 6095,6104 ****
--- 6101,6117 ----
              DoQueueTranscode("Low Quality");
          else if (action == "JUMPPREV")
          {
+ 	  if (StateIsLiveTV(GetState()))
+ 	    {
+ 	      PreviousChannel();
+ 	    }
+ 	  else if (lastProgram != NULL)
+ 	    {
              nvp->SetBookmark();
              exitPlayer = true;
              wantsToQuit = true;
              jumpToProgram = true;
+ 	    }
          }
          else if (action == "JUMPREC")
              DisplayJumpMenuSoon();
***************
*** 6256,6262 ****
                                        "TOGGLEBROWSE");
  
          item = new OSDGenericTree(treeMenu, tr("Previous Channel"),
!                                   "PREVCHAN");
      }
      else if (StateIsPlaying(internalState) && activerbuffer->isDVD())
      {
--- 6269,6275 ----
                                        "TOGGLEBROWSE");
  
          item = new OSDGenericTree(treeMenu, tr("Previous Channel"),
!                                   "JUMPPREV");
      }
      else if (StateIsPlaying(internalState) && activerbuffer->isDVD())
      {
